Loading...
Searching...
No Matches
Buffer sink accessors
libavfilter » Buffer sink API

Get the properties of the stream. More...

## Functions

enum AVMediaType | av_buffersink_get_type (const AVFilterContext *ctx)
AVRational | av_buffersink_get_time_base (const AVFilterContext *ctx)
int | av_buffersink_get_format (const AVFilterContext *ctx)
AVRational | av_buffersink_get_frame_rate (const AVFilterContext *ctx)
int | av_buffersink_get_w (const AVFilterContext *ctx)
int | av_buffersink_get_h (const AVFilterContext *ctx)
AVRational | av_buffersink_get_sample_aspect_ratio (const AVFilterContext *ctx)
enum AVColorSpace | av_buffersink_get_colorspace (const AVFilterContext *ctx)
enum AVColorRange | av_buffersink_get_color_range (const AVFilterContext *ctx)
enum AVAlphaMode | av_buffersink_get_alpha_mode (const AVFilterContext *ctx)
int | av_buffersink_get_channels (const AVFilterContext *ctx)
int | av_buffersink_get_ch_layout (const AVFilterContext *ctx, AVChannelLayout *ch_layout)
int | av_buffersink_get_sample_rate (const AVFilterContext *ctx)
AVBufferRef * | av_buffersink_get_hw_frames_ctx (const AVFilterContext *ctx)
const AVFrameSideData *const * | av_buffersink_get_side_data (const AVFilterContext *ctx, int *nb_side_data)

## Detailed Description

Get the properties of the stream.

## Function Documentation

## av_buffersink_get_type()

enum AVMediaType av_buffersink_get_type | ( | const AVFilterContext * | ctx | ) |

## av_buffersink_get_time_base()

AVRational av_buffersink_get_time_base | ( | const AVFilterContext * | ctx | ) |

Examples
  transcode.c.

Referenced by filter_encode_write_frame().

## av_buffersink_get_format()

int av_buffersink_get_format | ( | const AVFilterContext * | ctx | ) |

## av_buffersink_get_frame_rate()

AVRational av_buffersink_get_frame_rate | ( | const AVFilterContext * | ctx | ) |

## av_buffersink_get_w()

int av_buffersink_get_w | ( | const AVFilterContext * | ctx | ) |

## av_buffersink_get_h()

int av_buffersink_get_h | ( | const AVFilterContext * | ctx | ) |

## av_buffersink_get_sample_aspect_ratio()

AVRational av_buffersink_get_sample_aspect_ratio | ( | const AVFilterContext * | ctx | ) |

## av_buffersink_get_colorspace()

enum AVColorSpace av_buffersink_get_colorspace | ( | const AVFilterContext * | ctx | ) |

## av_buffersink_get_color_range()

enum AVColorRange av_buffersink_get_color_range | ( | const AVFilterContext * | ctx | ) |

## av_buffersink_get_alpha_mode()

enum AVAlphaMode av_buffersink_get_alpha_mode | ( | const AVFilterContext * | ctx | ) |

## av_buffersink_get_channels()

int av_buffersink_get_channels | ( | const AVFilterContext * | ctx | ) |

## av_buffersink_get_ch_layout()

int av_buffersink_get_ch_layout | ( | const AVFilterContext * | ctx,
|  | AVChannelLayout * | ch_layout )

## av_buffersink_get_sample_rate()

int av_buffersink_get_sample_rate | ( | const AVFilterContext * | ctx | ) |

## av_buffersink_get_hw_frames_ctx()

AVBufferRef * av_buffersink_get_hw_frames_ctx | ( | const AVFilterContext * | ctx | ) |

## av_buffersink_get_side_data()

const AVFrameSideData *const * av_buffersink_get_side_data | ( | const AVFilterContext * | ctx,
|  | int * | nb_side_data )